%define srcname certbot_nginx

Name:          certbot-nginx
Version:       4.0.0
Release:       %mkrel 2
Summary:       The nginx plugin for certbot
Group:         Development/Python
License:       ASL 2.0
URL:           https://pypi.python.org/pypi/certbot-nginx
Source0:       %{pypi_source}
BuildArch:     noarch
BuildRequires: python3-devel

%description
Plugin for certbot that allows for automatic configuration of ngnix

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files certbot_nginx

%check
%pytest

%files -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%exclude %{python3_sitelib}/certbot_nginx/tests


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 4.0.0-2.mga10
+ Revision: 2251484
- Mageia 10 Mass Rebuild

* Mon Apr 14 2025 katnatek <katnatek> 4.0.0-1.mga10
+ Revision: 2175660
- Update to version 4.0.0

* Mon Jun 10 2024 kekepower <kekepower> 2.11.0-1.mga10
+ Revision: 2072432
- Update to version 2.11.0

* Sat Jan 20 2024 wally <wally> 2.8.0-2.mga10
+ Revision: 2032566
- rebuild for py3.12
- use pyproject rpm macros
- enable tests

* Wed Dec 06 2023 kekepower <kekepower> 2.8.0-1.mga10
+ Revision: 2013684
- Update to version 2.8.0

* Thu Nov 02 2023 kekepower <kekepower> 2.7.4-1.mga10
+ Revision: 2003550
- Update to version 2.7.4

* Fri Oct 27 2023 kekepower <kekepower> 2.7.3-1.mga10
+ Revision: 2002064
- Update to version 2.7.3

* Fri Oct 20 2023 kekepower <kekepower> 2.7.2-1.mga10
+ Revision: 1999653
- Update to version 2.7.2

* Tue Oct 10 2023 kekepower <kekepower> 2.7.1-1.mga10
+ Revision: 1994166
- Update to version 2.7.1

* Mon Oct 09 2023 kekepower <kekepower> 2.7.0-1.mga10
+ Revision: 1993762
- Update to version 2.7.0

* Tue Aug 29 2023 kekepower <kekepower> 2.6.0-1.mga10
+ Revision: 1981053
- Update to version 2.6.0

* Wed Feb 15 2023 kekepower <kekepower> 2.3.0-1.mga9
+ Revision: 1942747
- Update to version 2.3.0

* Wed Jan 25 2023 kekepower <kekepower> 2.2.0-1.mga9
+ Revision: 1936011
- Update to version 2.2.0

* Thu Dec 15 2022 kekepower <kekepower> 2.1.1-1.mga9
+ Revision: 1923326
- Update to version 2.1.1

* Wed Dec 07 2022 kekepower <kekepower> 2.1.0-1.mga9
+ Revision: 1919045
- Update to version 2.1.0

* Wed Nov 23 2022 kekepower <kekepower> 2.0.0-1.mga9
+ Revision: 1910456
- Update to version 2.0.0

* Fri Nov 11 2022 kekepower <kekepower> 1.32.0-1.mga9
+ Revision: 1905471
- Update to version 1.32.0

* Wed Oct 05 2022 kekepower <kekepower> 1.31.0-1.mga9
+ Revision: 1894887
- Update to version 1.31.0

* Fri Sep 09 2022 kekepower <kekepower> 1.30.0-1.mga9
+ Revision: 1886225
- Update to version 1.30.0

* Thu Jul 07 2022 kekepower <kekepower> 1.29.0-1.mga9
+ Revision: 1867923
- Update to version 1.29.0

* Fri Jun 10 2022 kekepower <kekepower> 1.28.0-1.mga9
+ Revision: 1863828
- Update to version 1.28.0

* Wed May 04 2022 kekepower <kekepower> 1.27.0-1.mga9
+ Revision: 1856078
- Update to version 1.27.0

* Wed Apr 06 2022 kekepower <kekepower> 1.26.0-1.mga9
+ Revision: 1846279
- Update to version 1.26.0

* Thu Mar 17 2022 kekepower <kekepower> 1.25.0-1.mga9
+ Revision: 1797244
- Update to version 1.25.0

* Wed Mar 02 2022 kekepower <kekepower> 1.24.0-1.mga9
+ Revision: 1787727
- Update to version 1.24.0

* Thu Feb 10 2022 kekepower <kekepower> 1.23.0-1.mga9
+ Revision: 1772797
- Update to version 1.23.0

* Wed Dec 08 2021 kekepower <kekepower> 1.22.0-1.mga9
+ Revision: 1761150
- Update to version 1.22.0

* Thu Nov 04 2021 kekepower <kekepower> 1.21.0-1.mga9
+ Revision: 1753869
- Update to version 1.21.0

* Thu Oct 07 2021 kekepower <kekepower> 1.20.0-1.mga9
+ Revision: 1749962
- Update to version 1.20.0

* Sun Sep 12 2021 kekepower <kekepower> 1.19.0-1.mga9
+ Revision: 1745228
- Update to version 1.19.0

* Wed Aug 04 2021 kekepower <kekepower> 1.18.0-1.mga9
+ Revision: 1739244
- Update to version 1.18.0

* Tue Jul 06 2021 kekepower <kekepower> 1.17.0-1.mga9
+ Revision: 1735028
- Update to version 1.17.0

* Wed Jun 02 2021 kekepower <kekepower> 1.16.0-1.mga9
+ Revision: 1729381
- Update to version 1.16.0

* Wed May 05 2021 kekepower <kekepower> 1.15.0-1.mga9
+ Revision: 1721453
- Update to version 1.15.0

* Sat Apr 10 2021 kekepower <kekepower> 1.14.0-1.mga9
+ Revision: 1714462
- Update to version 1.14.0

* Thu Mar 04 2021 kekepower <kekepower> 1.13.0-1.mga9
+ Revision: 1697823
- Update to version 1.13.0

* Thu Feb 25 2021 kekepower <kekepower> 1.12.0-1.mga9
+ Revision: 1690841
- Update to version 1.12.0

* Thu Dec 03 2020 kekepower <kekepower> 1.10.1-1.mga8
+ Revision: 1652275
- Update to version 1.10.1

* Wed Dec 02 2020 kekepower <kekepower> 1.10.0-1.mga8
+ Revision: 1651559
- Update to version 1.10.0

* Wed Oct 07 2020 kekepower <kekepower> 1.9.0-1.mga8
+ Revision: 1632559
- Update to version 1.9.0

* Tue Sep 08 2020 kekepower <kekepower> 1.8.0-1.mga8
+ Revision: 1623694
- Update to version 1.8.0

* Wed Aug 05 2020 kekepower <kekepower> 1.7.0-1.mga8
+ Revision: 1611245
- Update to version 1.7.0

* Wed Jul 08 2020 kekepower <kekepower> 1.6.0-1.mga8
+ Revision: 1602923
- Update to version 1.6.0

* Mon Jun 08 2020 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1591057
- Update to version 1.5.0
- Update to version 1.4.0

* Fri Mar 06 2020 kekepower <kekepower> 1.3.0-1.mga8
+ Revision: 1554348
- Fix rel
- Update to version 1.3.0

* Thu Feb 20 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1546964
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 kekepower <kekepower> 1.2.0-1.mga8
+ Revision: 1487348
- Update to version 1.2.0

* Wed Jan 22 2020 kekepower <kekepower> 1.1.0-1.mga8
+ Revision: 1482054
- Update to version 1.1.0

* Wed Nov 06 2019 kekepower <kekepower> 0.40.1-1.mga8
+ Revision: 1458321
- Update to version 0.40.1

* Tue Oct 15 2019 tv <tv> 0.39.0-1.mga8
+ Revision: 1453691
- new release
+ kekepower <kekepower>
- Update to version 0.38.0

* Thu Aug 22 2019 kekepower <kekepower> 0.37.2-1.mga8
+ Revision: 1431286
- Update to version 0.37.2

* Fri Aug 09 2019 kekepower <kekepower> 0.37.1-1.mga8
+ Revision: 1428330
- Update to version 0.37.1

* Thu Aug 08 2019 kekepower <kekepower> 0.37.0-1.mga8
+ Revision: 1428238
- Update to version 0.37.0

* Sun Jun 30 2019 kekepower <kekepower> 0.35.1-1.mga8
+ Revision: 1416422
- Update to version 0.35.1

* Wed May 08 2019 kekepower <kekepower> 0.34.2-1.mga7
+ Revision: 1396650
- Update to version 0.34.2

* Sat Apr 06 2019 kekepower <kekepower> 0.33.1-1.mga7
+ Revision: 1386301
- Update to version 0.33.1

* Thu Apr 04 2019 kekepower <kekepower> 0.33.0-1.mga7
+ Revision: 1385654
- Update to version 0.33.0

* Fri Mar 08 2019 kekepower <kekepower> 0.32.0-1.mga7
+ Revision: 1372815
- BR python-pytest
- Update to version 0.32.0

* Fri Feb 08 2019 kekepower <kekepower> 0.31.0-1.mga7
+ Revision: 1364095
- Update to version 0.31.0

* Fri Jan 25 2019 kekepower <kekepower> 0.30.2-1.mga7
+ Revision: 1360696
- Update to version 0.30.2

* Fri Jan 25 2019 kekepower <kekepower> 0.30.1-1.mga7
+ Revision: 1360545
- Update to version 0.30.1

* Mon Jan 07 2019 kekepower <kekepower> 0.30.0-2.mga7
+ Revision: 1350996
- Rebuild for Python 3.7

* Thu Jan 03 2019 kekepower <kekepower> 0.30.0-1.mga7
+ Revision: 1348762
- Update to version 0.30.0

* Sun Dec 30 2018 kekepower <kekepower> 0.29.1-1.mga7
+ Revision: 1347202
- Update to version 0.29.1

* Sat Nov 10 2018 kekepower <kekepower> 0.28.0-1.mga7
+ Revision: 1329366
- Update to version 0.28.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Dec 12 2017 mitya <mitya> 0.20.0-1.mga7
+ Revision: 1182281
- New version 0.20.0

* Sun Nov 05 2017 mitya <mitya> 0.19.0-1.mga7
+ Revision: 1175976
- New version 0.19.0

* Sat Aug 05 2017 pterjan <pterjan> 0.14.2-2.mga7
+ Revision: 1135196
- Rebuild for python 3.6

* Sat May 27 2017 mitya <mitya> 0.14.2-1.mga6
+ Revision: 1105151
- New version 0.14.2

* Wed May 24 2017 mitya <mitya> 0.14.1-1.mga6
+ Revision: 1104424
- rename python-certbot-nginx -> certbot-nginx
- Mageify
- python-certbot-nginx -> certbot-nginx
- imported package python-certbot-nginx


* Wed May 17 2017 James Hogarth <james.hogarth@gmail.com> - 0.14.1-1
- Update to 0.14.1

* Fri May 12 2017 James Hogarth <james.hogarth@gmail.com> - 0.13.0-1
- Update to 0.14.0
- Remove the tests directory from binary rpm

* Fri Apr 21 2017 James Hogarth <james.hogarth@gmail.com> - 0.13.0-1
- Initial packaging of the plugin
